export interface PtCampusVO {
  /**
   * 学校Id,主键
   */
  campusId: string | number;

  /**
   * 所属学校Id
   */
  schoolId: string | number;

  /**
   * 校区名称
   */
  campusName: string;

  /**
   * 校区代码
   */
  campusCode: string;

  /**
   * 校区地址
   */
  address: string;

  /**
   * 邮政编码
   */
  postCode: string;

  /**
   * 联系电话
   */
  telephone: string;

  /**
   * 传真
   */
  fax: string;

  /**
   * 邮箱
   */
  email: string;

  /**
   * 历史沿革
   */
  principal: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 负责人
   */
  chargePerson: string;

}

export interface PtCampusForm extends BaseEntity {
  /**
   * 学校Id,主键
   */
  campusId?: string | number;

  /**
   * 所属学校Id
   */
  schoolId?: string | number;

  /**
   * 校区名称
   */
  campusName?: string;

  /**
   * 校区代码
   */
  campusCode?: string;

  /**
   * 校区地址
   */
  address?: string;

  /**
   * 邮政编码
   */
  postCode?: string;

  /**
   * 联系电话
   */
  telephone?: string;

  /**
   * 传真
   */
  fax?: string;

  /**
   * 邮箱
   */
  email?: string;

  /**
   * 历史沿革
   */
  principal?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 负责人
   */
  chargePerson?: string;

}

export interface PtCampusQuery extends PageQuery {

  /**
   * 所属学校Id
   */
  schoolId?: string | number;

  /**
   * 校区名称
   */
  campusName?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



